Passer au contenu principal
GET
/
automation
/
v4
/
actions
/
{appId}
Récupérer les définitions d'actions personnalisées
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "actionUrl": "<string>",
      "functions": [
        {
          "id": "<string>"
        }
      ],
      "id": "<string>",
      "inputFields": [
        {
          "isRequired": true,
          "typeDefinition": {
            "name": "<string>",
            "options": [
              {
                "label": "<string>",
                "value": "<string>",
                "description": "<string>",
                "displayOrder": 123
              }
            ],
            "description": "<string>",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>",
            "referencedObjectType": "OWNER"
          },
          "supportedValueTypes": []
        }
      ],
      "labels": {},
      "objectTypes": [
        "<string>"
      ],
      "published": true,
      "revisionId": "<string>",
      "archivedAt": 123,
      "executionRules": [
        {
          "conditions": {},
          "labelName": "<string>"
        }
      ],
      "inputFieldDependencies": [
        {
          "controllingFieldName": "<string>",
          "dependencyType": "SINGLE_FIELD",
          "dependentFieldNames": [
            "<string>"
          ]
        }
      ],
      "objectRequestOptions": {
        "properties": [
          "<string>"
        ]
      },
      "outputFields": [
        {
          "typeDefinition": {
            "externalOptions": true,
            "name": "<string>",
            "options": [
              {
                "description": "<string>",
                "displayOrder": 123,
                "doubleData": 123,
                "hidden": true,
                "label": "<string>",
                "readOnly": true,
                "value": "<string>"
              }
            ],
            "schema": {
              "type": "INTEGER",
              "maximum": 123,
              "minimum": 123
            },
            "useChirp": true,
            "description": "<string>",
            "externalOptionsReferenceType": "<string>",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>"
          }
        }
      ]
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

Identifiant unique de l'application.

Paramètres de requête

after
string

Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.

archived
boolean
défaut:false

S'il faut renvoyer uniquement les résultats qui ont été archivés.

limit
integer<int32>

Le nombre maximum de résultats à afficher par page.

Réponse

successful operation

results
object[]
requis
paging
object
Dernière modification le 13 avril 2026